import { Handler } from '../../Handler';
import { WebSocketData, WebSocketID } from '../../types';
import { Server, ConnectedClient } from '../../Server';
export declare class WebSocketHandler implements Handler {
    private server;
    private client;
    private websockets;
    constructor(server: Server, client: ConnectedClient);
    newWebsocket({ url, protocols, id }: {
        id: WebSocketID;
        url: string;
        protocols?: string | string[];
    }): void;
    websocketInfo({ info, id }: {
        id: WebSocketID;
        info: {
            [key: string]: any;
        };
    }): void;
    websocketSend({ id, data }: {
        id: WebSocketID;
        data: WebSocketData;
    }): void;
    websocketClose({ code, reason, id }: {
        id: WebSocketID;
        code?: number;
        reason?: string;
    }): void;
    dispose(): void;
}
//# sourceMappingURL=WebSocketHandler.d.ts.map