"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Client_1 = require("../../Client");
var ConnectedClientHandler = /** @class */ (function () {
    function ConnectedClientHandler(server, client) {
        this.server = server;
        this.client = client;
        this.addDisposeTimer();
    }
    ConnectedClientHandler.prototype.addDisposeTimer = function () {
        var _this = this;
        this.clearDisposeTimer();
        this.disposeTimer = setTimeout(function () { return _this.client.dispose(); }, Client_1.PING_INTERVAL + 1500);
    };
    ConnectedClientHandler.prototype.clearDisposeTimer = function () {
        clearTimeout(this.disposeTimer);
    };
    ConnectedClientHandler.prototype.ping = function () {
        this.addDisposeTimer();
    };
    ConnectedClientHandler.prototype.dispose = function () {
        this.clearDisposeTimer();
    };
    return ConnectedClientHandler;
}());
exports.ConnectedClientHandler = ConnectedClientHandler;
//# sourceMappingURL=ConnectedClientHandler.js.map