"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PONG_INTERVAL = 1000;
var ServerHandler = /** @class */ (function () {
    function ServerHandler(server, client) {
        var _this = this;
        this.server = server;
        this.client = client;
        this.pongTimer = setInterval(function () { return _this.pong(); }, 1000);
        this.pingAllServers();
    }
    ServerHandler.prototype.pong = function () {
        this.server.emit('pong', {
            url: location.href
        });
    };
    ServerHandler.prototype.pingAllServers = function () {
        this.pong();
    };
    ServerHandler.prototype.disposeClient = function () {
        this.client.dispose();
    };
    ServerHandler.prototype.dispose = function () {
        clearInterval(this.pongTimer);
    };
    return ServerHandler;
}());
exports.ServerHandler = ServerHandler;
//# sourceMappingURL=ServerHandler.js.map